Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.ssl.ftp.client.impl
Class FTPOverSSLConfiguration

    java.lang.Object
      com.stc.connector.ssl.ftp.client.impl.FTPOverSSLConfiguration

All Implemented Interfaces:
  FTPSSLConfiguration

    public class FTPOverSSLConfiguration

extends java.lang.Object
implements FTPSSLConfiguration

jim.fu@sun.com TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`FTPOverSSLConfiguration()` a pure storage for holding parameters
`FTPOverSSLConfiguration(com.stc.connector.framework.util.ConfigurationHelper p)` setters and getters for configuration parameters of FTPOverSSL OTD;

Method Summary
`java.lang.String` | `getAllowOverwrite()`
`java.util.Properties` | `getAllParamChangeRequested()`
`boolean` | `getAppend()`
`java.util.Properties` | `getChangedParameters()`
`boolean` | `getCommandChannelIsClear()`
`java.lang.String` | `getConnMode()`
`java.lang.String` | `getDirListStyle()`
`boolean` | `getFirewallEnabled()`
`java.lang.String` | `getFirewallPassword()`
`int` | `getFirewallPort()`
`java.lang.String` | `getFirewallServer()`
`java.lang.String` | `getFirewallUser()`
`java.lang.String` | `getFTPPassword()`
`int` | `getFTPPort()`
`java.lang.String` | `getFTPServer()`
`int` | `getFTPSSLPort()`
`java.lang.String` | `getFTPUser()`
`java.lang.String` | `getKeyAlias()`
`java.lang.String` | `getKeyAliasPassword()`
`java.lang.String` | `getKeyStoreLoc()`
`java.lang.String` | `getKeyStorePassword()`
`int` | `getKeyStoreType()`
`java.lang.String` | `getLocalDirectory()`
`boolean` | `getLocalDirectoryNameIsPattern()`
`java.lang.String` | `getLocalFile()`
`boolean` | `getLocalFileNameIsPattern()`
`long` | `getMaxRetry()`
`boolean` | `getPassive()`
`PostTransferParams` | `getPostTransfer()`
`PreTransferParams` | `getPreTransfer()`
`java.util.Properties` | `getProperties()`
`java.lang.String` | `getRemoteDirectory()`
`boolean` | `getRemoteDirectoryNameIsPattern()`
`java.lang.String` | `getRemoteFile()`
`boolean` | `getRemoteFileNameIsPattern()`
`long` | `getRetryInterval()`
`int` | `getSecureType()`
`java.lang.String` | `getServerAuth()`
`java.lang.String` | `getSocksVersion()`
`boolean` | `getSynchronized()`
`int` | `getTransferMode()`
`java.lang.String` | `getUserDN()`
`java.lang.String` | `getWorkDir()`
`boolean` | `isConnectionParameterChanged()` indicate that one or more of the "connection parameters" changed;
`boolean` | `isConnModeAuto()` if the connection is configured as automatic
`boolean` | `isConnModeManual()` if the connection is configured as manual
`void` | `logParameters()` for debuging dump all the parameters into IS log;
`void` | `resetConnectionParameter(boolean noWarning)`
`void` | `setAllowOverwrite(java.lang.String s)`
`void` | `setAppend(boolean b)`
`void` | `setCommandChannelIsClear(boolean b)`
`void` | `setDirListStyle(java.lang.String s)`
`void` | `setFirewallEnabled(boolean b)`
`void` | `setFirewallPassword(java.lang.String s)`
`void` | `setFirewallPort(int i)`
`void` | `setFirewallServer(java.lang.String s)`
`void` | `setFirewallUser(java.lang.String s)`
`void` | `setFTPPassword(java.lang.String s)`
`void` | `setFTPPort(int i)`
`void` | `setFTPServer(java.lang.String s)`
`void` | `setFTPSSLPort(int i)`
`void` | `setFTPUser(java.lang.String s)`
`void` | `setKeyAlias(java.lang.String s)`
`void` | `setKeyAliasPassword(java.lang.String s)`
`void` | `setKeyStoreLoc(java.lang.String s)`
`void` | `setKeyStorePassword(java.lang.String s)`
`void` | `setKeyStoreType(int i)`
`void` | `setLocalDirectory(java.lang.String s)`
`void` | `setLocalDirectoryNameIsPattern(boolean b)`
`void` | `setLocalFile(java.lang.String s)`
`void` | `setLocalFileNameIsPattern(boolean b)`
`void` | `setMaxRetry(long aRetry)`
`void` | `setPassive(boolean b)`
`void` | `setPostTransfer(PostTransferParams p)`
`void` | `setPreTransfer(PreTransferParams p)`
`void` | `setRemoteDirectory(java.lang.String s)`
`void` | `setRemoteDirectoryNameIsPattern(boolean b)`
`void` | `setRemoteFile(java.lang.String s)`
`void` | `setRemoteFileNameIsPattern(boolean b)`
`void` | `setRetryInterval(long aInterval)`
`void` | `setSecureType(int i)`
`void` | `setServerAuth(java.lang.String s)`
`void` | `setSocksVersion(java.lang.String s)`
`protected void` | `setSynchronized(boolean b)`
`void` | `setTransferMode(int i)`
`void` | `setUserDN(java.lang.String s)`
`void` | `setWorkDir(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FTPOverSSLConfiguration

    public FTPOverSSLConfiguration()

  a pure storage for holding parameters

### FTPOverSSLConfiguration

    public FTPOverSSLConfiguration(com.stc.connector.framework.util.ConfigurationHelper p)
                            throws FTPSCFGException

  setters and getters for configuration parameters of FTPOverSSL OTD;

  Parameters:
    `p` -
  Throws:
    `java.lang.Exception`
    `FTPSCFGException`

Method Detail

### getRemoteDirectory

    public java.lang.String getRemoteDirectory()

  Specified by:
    `getRemoteDirectory` in interface `FTPSSLConfiguration`

### setRemoteDirectory

    public void setRemoteDirectory(java.lang.String s)

  Specified by:
    `setRemoteDirectory` in interface `FTPSSLConfiguration`

### getRemoteFile

    public java.lang.String getRemoteFile()

  Specified by:
    `getRemoteFile` in interface `FTPSSLConfiguration`

### setRemoteFile

    public void setRemoteFile(java.lang.String s)

  Specified by:
    `setRemoteFile` in interface `FTPSSLConfiguration`

### getLocalDirectory

    public java.lang.String getLocalDirectory()

  Specified by:
    `getLocalDirectory` in interface `FTPSSLConfiguration`

### setLocalDirectory

    public void setLocalDirectory(java.lang.String s)

  Specified by:
    `setLocalDirectory` in interface `FTPSSLConfiguration`

### getLocalFile

    public java.lang.String getLocalFile()

  Specified by:
    `getLocalFile` in interface `FTPSSLConfiguration`

### setLocalFile

    public void setLocalFile(java.lang.String s)

  Specified by:
    `setLocalFile` in interface `FTPSSLConfiguration`

### getFirewallServer

    public java.lang.String getFirewallServer()

  Specified by:
    `getFirewallServer` in interface `FTPSSLConfiguration`

### setFirewallPort

    public void setFirewallPort(int i)

  Specified by:
    `setFirewallPort` in interface `FTPSSLConfiguration`

### getFirewallPort

    public int getFirewallPort()

  Specified by:
    `getFirewallPort` in interface `FTPSSLConfiguration`

### setFirewallServer

    public void setFirewallServer(java.lang.String s)

  Specified by:
    `setFirewallServer` in interface `FTPSSLConfiguration`

### getFirewallUser

    public java.lang.String getFirewallUser()

  Specified by:
    `getFirewallUser` in interface `FTPSSLConfiguration`

### setFirewallUser

    public void setFirewallUser(java.lang.String s)

  Specified by:
    `setFirewallUser` in interface `FTPSSLConfiguration`

### getFirewallPassword

    public java.lang.String getFirewallPassword()

  Specified by:
    `getFirewallPassword` in interface `FTPSSLConfiguration`

### setFirewallPassword

    public void setFirewallPassword(java.lang.String s)

  Specified by:
    `setFirewallPassword` in interface `FTPSSLConfiguration`

### getFirewallEnabled

    public boolean getFirewallEnabled()

  Specified by:
    `getFirewallEnabled` in interface `FTPSSLConfiguration`

### setFirewallEnabled

    public void setFirewallEnabled(boolean b)

  Specified by:
    `setFirewallEnabled` in interface `FTPSSLConfiguration`

### getFTPServer

    public java.lang.String getFTPServer()

  Specified by:
    `getFTPServer` in interface `FTPSSLConfiguration`

### setFTPServer

    public void setFTPServer(java.lang.String s)

  Specified by:
    `setFTPServer` in interface `FTPSSLConfiguration`

### setFTPPort

    public void setFTPPort(int i)

  Specified by:
    `setFTPPort` in interface `FTPSSLConfiguration`

### getFTPPort

    public int getFTPPort()

  Specified by:
    `getFTPPort` in interface `FTPSSLConfiguration`

### setFTPSSLPort

    public void setFTPSSLPort(int i)

  Specified by:
    `setFTPSSLPort` in interface `FTPSSLConfiguration`

### getFTPSSLPort

    public int getFTPSSLPort()

  Specified by:
    `getFTPSSLPort` in interface `FTPSSLConfiguration`

### getFTPUser

    public java.lang.String getFTPUser()

  Specified by:
    `getFTPUser` in interface `FTPSSLConfiguration`

### setFTPUser

    public void setFTPUser(java.lang.String s)

  Specified by:
    `setFTPUser` in interface `FTPSSLConfiguration`

### getSecureType

    public int getSecureType()

### setSecureType

    public void setSecureType(int i)

### getFTPPassword

    public java.lang.String getFTPPassword()

  Specified by:
    `getFTPPassword` in interface `FTPSSLConfiguration`

### setFTPPassword

    public void setFTPPassword(java.lang.String s)

  Specified by:
    `setFTPPassword` in interface `FTPSSLConfiguration`

### getAppend

    public boolean getAppend()

  Specified by:
    `getAppend` in interface `FTPSSLConfiguration`

### setAppend

    public void setAppend(boolean b)

  Specified by:
    `setAppend` in interface `FTPSSLConfiguration`

### getUserDN

    public java.lang.String getUserDN()

### setUserDN

    public void setUserDN(java.lang.String s)

### getKeyStoreLoc

    public java.lang.String getKeyStoreLoc()

### setKeyStoreLoc

    public void setKeyStoreLoc(java.lang.String s)

### getKeyStoreType

    public int getKeyStoreType()

### setKeyStoreType

    public void setKeyStoreType(int i)

### getKeyAlias

    public java.lang.String getKeyAlias()

### setKeyAlias

    public void setKeyAlias(java.lang.String s)

### getKeyAliasPassword

    public java.lang.String getKeyAliasPassword()

### setKeyAliasPassword

    public void setKeyAliasPassword(java.lang.String s)

### getKeyStorePassword

    public java.lang.String getKeyStorePassword()

### setKeyStorePassword

    public void setKeyStorePassword(java.lang.String s)

### getDirListStyle

    public java.lang.String getDirListStyle()

### setDirListStyle

    public void setDirListStyle(java.lang.String s)

### getPassive

    public boolean getPassive()

### setPassive

    public void setPassive(boolean b)

### setSocksVersion

    public void setSocksVersion(java.lang.String s)

### getSocksVersion

    public java.lang.String getSocksVersion()

### setTransferMode

    public void setTransferMode(int i)

### getTransferMode

    public int getTransferMode()

### setWorkDir

    public void setWorkDir(java.lang.String s)

### getWorkDir

    public java.lang.String getWorkDir()

### getConnMode

    public java.lang.String getConnMode()

### setAllowOverwrite

    public void setAllowOverwrite(java.lang.String s)

  Specified by:
    `setAllowOverwrite` in interface `FTPSSLConfiguration`

### getAllowOverwrite

    public java.lang.String getAllowOverwrite()

  Specified by:
    `getAllowOverwrite` in interface `FTPSSLConfiguration`

### setServerAuth

    public void setServerAuth(java.lang.String s)

### getServerAuth

    public java.lang.String getServerAuth()

### setMaxRetry

    public void setMaxRetry(long aRetry)

  Specified by:
    `setMaxRetry` in interface `FTPSSLConfiguration`

### getMaxRetry

    public long getMaxRetry()

  Specified by:
    `getMaxRetry` in interface `FTPSSLConfiguration`

### setRetryInterval

    public void setRetryInterval(long aInterval)

  Specified by:
    `setRetryInterval` in interface `FTPSSLConfiguration`

### getRetryInterval

    public long getRetryInterval()

  Specified by:
    `getRetryInterval` in interface `FTPSSLConfiguration`

### getRemoteDirectoryNameIsPattern

    public boolean getRemoteDirectoryNameIsPattern()

  Specified by:
    `getRemoteDirectoryNameIsPattern` in interface `FTPSSLConfiguration`

### setRemoteDirectoryNameIsPattern

    public void setRemoteDirectoryNameIsPattern(boolean b)

  Specified by:
    `setRemoteDirectoryNameIsPattern` in interface `FTPSSLConfiguration`

### getRemoteFileNameIsPattern

    public boolean getRemoteFileNameIsPattern()

  Specified by:
    `getRemoteFileNameIsPattern` in interface `FTPSSLConfiguration`

### setRemoteFileNameIsPattern

    public void setRemoteFileNameIsPattern(boolean b)

  Specified by:
    `setRemoteFileNameIsPattern` in interface `FTPSSLConfiguration`

### getCommandChannelIsClear

    public boolean getCommandChannelIsClear()

  Specified by:
    `getCommandChannelIsClear` in interface `FTPSSLConfiguration`

### setCommandChannelIsClear

    public void setCommandChannelIsClear(boolean b)

  Specified by:
    `setCommandChannelIsClear` in interface `FTPSSLConfiguration`

### getLocalDirectoryNameIsPattern

    public boolean getLocalDirectoryNameIsPattern()

  Specified by:
    `getLocalDirectoryNameIsPattern` in interface `FTPSSLConfiguration`

### setLocalDirectoryNameIsPattern

    public void setLocalDirectoryNameIsPattern(boolean b)

  Specified by:
    `setLocalDirectoryNameIsPattern` in interface `FTPSSLConfiguration`

### getLocalFileNameIsPattern

    public boolean getLocalFileNameIsPattern()

  Specified by:
    `getLocalFileNameIsPattern` in interface `FTPSSLConfiguration`

### setLocalFileNameIsPattern

    public void setLocalFileNameIsPattern(boolean b)

  Specified by:
    `setLocalFileNameIsPattern` in interface `FTPSSLConfiguration`

### getPostTransfer

    public PostTransferParams getPostTransfer()

### setPostTransfer

    public void setPostTransfer(PostTransferParams p)

### getPreTransfer

    public PreTransferParams getPreTransfer()

### setPreTransfer

    public void setPreTransfer(PreTransferParams p)

### setSynchronized

    protected void setSynchronized(boolean b)

### getSynchronized

    public boolean getSynchronized()

### getProperties

    public java.util.Properties getProperties()

### getChangedParameters

    public java.util.Properties getChangedParameters()

### getAllParamChangeRequested

    public java.util.Properties getAllParamChangeRequested()

### isConnectionParameterChanged

    public boolean isConnectionParameterChanged()

  indicate that one or more of the "connection parameters" changed;

  Returns:
    true - if change occurred, false otherwise;

### resetConnectionParameter

    public void resetConnectionParameter(boolean noWarning)
                                  throws FTPSException

  Throws:
    `FTPSException`

### isConnModeAuto

    public boolean isConnModeAuto()

  if the connection is configured as automatic

  Returns:
    true - connection mode is "Automatic", false - otherwise;

### isConnModeManual

    public boolean isConnModeManual()

  if the connection is configured as manual

  Returns:
    true - connection mode is "Manual", false - otherwise;

### logParameters

    public void logParameters()

  for debuging dump all the parameters into IS log;

Overview | Package | Class | Tree | Deprecated | Index | Help
| Sun Adapter for Batch/FTP
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD